Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jdi
Interface Field

All Superinterfaces:
  Accessible, Comparable, Mirror, TypeComponent

public interface Field
extends TypeComponent, Comparable

A static or instance field in the target VM. See `TypeComponent` for general information about Field and Method mirrors.

Since:
  1.3
See Also:
  `ObjectReference`, `ReferenceType`

Method Summary
`boolean` | `equals(Object obj)` Compares the specified Object with this field for equality.
`int` | `hashCode()` Returns the hash code value for this Field.
`boolean` | `isTransient()` Determine if this is a transient field.
`boolean` | `isVolatile()` Determine if this is a volatile field.
`Type` | `type()` Returns the type of the this `Field`.
`String` | `typeName()` Returns a text representation of the declared type.

Methods inherited from interface com.sun.jdi.TypeComponent
`declaringType, isFinal, isStatic, isSynthetic, name, signature`

Methods inherited from interface com.sun.jdi.Mirror
`toString, virtualMachine`

Methods inherited from interface com.sun.jdi.Accessible
`isPackagePrivate, isPrivate, isProtected, isPublic, modifiers`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### typeName

    public String typeName()

  Returns a text representation of the declared type.
  Returns:
    a string containing the type name

### type

    public Type type()
              throws ClassNotLoadedException

  Returns the type of the this `Field`. For primitive fields, an appropriate `PrimitiveType` is always returned. For object fields, the appropriate `ReferenceType` is returned if it has been loaded through the enclosing type's (that is, the type returned by `TypeComponent#enclosingType`) class loader.
  Returns:
    the `Type` of this field.
  Throws:
    `ClassNotLoadedException` - if the type has not yet been loaded through the appropriate class loader.

### isTransient

    public boolean isTransient()

  Determine if this is a transient field.
  Returns:
    `true` if this field is transient; false otherwise.

### isVolatile

    public boolean isVolatile()

  Determine if this is a volatile field.
  Returns:
    `true` if this field is volatile; false otherwise.

### equals

    public boolean equals(Object obj)

  Compares the specified Object with this field for equality.
  Overrides:
    `equals` in class `Object`
  Returns:
    true if the Object is a Field and if both mirror the same field (declared in the same class or interface, in the same VM).

### hashCode

    public int hashCode()

  Returns the hash code value for this Field.
  Overrides:
    `hashCode` in class `Object`
  Returns:
    the integer hash code

Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD